Scilab Function
Last update : 16/6/2004

pdiv - division de polynômes

### Calling Sequence

  `[R,Q]=pdiv(P1,P2)`
  `[Q]=pdiv(P1,P2)`

### Parameters

- `P1` : matrice de polynômes
- `P2` : polynôme ou matrice de polynômes
- `R,Q` : deux matrices de polynômes

### Description

Division euclidienne élément par élément de la matrice de polynômes `P1` par le polynôme `P2` ou par la matrice de polynômes `P2`. `Rij` est la matrice des restes, `Qij` est la matrice des quotients et `P1ij = Qij*P2 + Qij` ou `P1ij = Qij*P2ij + Qij`.

### Examples

    x=poly(0,'x');
    p1=(1+x^2)*(1-x);p2=1-x;
    [r,q]=pdiv(p1,p2)
    p2*q-p1
    p2=1+x;
    [r,q]=pdiv(p1,p2)
    p2*q+r-p1

### See Also

`ldiv`, `gcd`,